; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=NETWORK PRNFILE="C:\BOMDLS\BO-30B\2030 NET-FFSPD\FSNET00A.PRN" MSG='Create AB and BA versions of critical fields in Voyager format'
FILEI LINKI[1] = "{Working Folder-FFSPD}\{Built Network}"
FILEO NETO = "{Working Folder-FFSPD}\FSNET00A.NET",
 INCLUDE=ID,LENGTH,DIR,MODE,MODE2,MODE3,MODE4,MODE5,
 DRIVE_LINK,TOLLFSU,FT1,AT1,CC,LUSE,TAZ,GL,
 FT2,AT2,POSTSPD,SEGID,AADT,MPO_AADT,STATION,
 CTOTAL,PASS_VEH,F4T_TRUCK,SU_TRUCK,COMBTRK,
 PASS_PCT,F4T_PCT,SU_PCT,COMB_PCT,CTYPE,RPAS4T,RSUTRK,RCOMBTRK,
 RSUCOM,TOTVOL,VOLCNT,VOL2WPLT,CONNECTOR,ONE,SCHEDULEM8,FROM_ID,TO_ID,
 DIRCODE,LAND_USE,DIST,LOCATION,CAPACITY,USE_CODE,COUNTY,ZONE,
 AREA_TYP,USER,FACILITY,TIME_2,SCREENLINE,TIME_orig,LANES,TOLL,CONSTRUCTION,
 SPEED,TOLLV,CAP,TOLL_LA,ALPHA,SERV_TI,BETA,TYPE,D_A_T,IMP,WALKTIME,FFSPD,
 SPD1_AB,SPD1_BA

;create directional link variables and write a new network with 
;these as well as other critial variables.

PROCESS  PHASE=LINKMERGE

if (li.1.a=li.1.FROM_ID)
  DIRCODE=AB_DIRCODE
  LAND_USE=AB_LAND_US
  DIST=AB_DISTANC
  LOCATION=AB_LOCATIO
  CAPACITY=AB_CAPACIT
  USE_CODE=AB_USE_COD
  COUNTY=AB_COUNT
  ZONE=AB_ZONE
  AREA_TYP=AB_AREA_TY
  USER=AB_USER
  FACILITY=AB_FACILIT
  TIME_2=AB_TIME_2
  SCREENLINE=AB_SCREENL
  TIME_orig=AB_TIME
  LANES=AB_LANES
  TOLL=AB_TOLL
  CONSTRUCTION=AB_CONSTRU
  SPEED=AB_SPEED
  TOLLV=AB_TOLLV
  CAP=AB_CAP
  TOLL_LA=AB_TOLL_LA
  ALPHA=AB_ALPHA
  SERV_TI=AB_SERV_TI
  BETA=AB_BETA
  TYPE=AB_TYPE
  D_A_T=AB_D_A_T
  IMP=AB_IMP
  WALKTIME=AB_WALKTIM
  ST=ST_AB

  else

  DIRCODE=BA_DIRCODE
  LAND_USE=BA_LAND_US
  DIST=BA_DISTANC
  LOCATION=BA_LOCATIO
  CAPACITY=BA_CAPACIT
  USE_CODE=BA_USE_COD
  COUNTY=BA_COUNT
  ZONE=BA_ZONE
  AREA_TYP=BA_AREA_TY
  USER=BA_USER
  FACILITY=BA_FACILIT
  TIME_2=BA_TIME_2
  SCREENLINE=BA_SCREENL
  TIME_orig=BA_TIME
  LANES=BA_LANES
  TOLL=BA_TOLL
  CONSTRUCTION=BA_CONSTRU
  SPEED=BA_SPEED
  TOLLV=BA_TOLLV
  CAP=BA_CAP
  TOLL_LA=BA_TOLL_LA
  ALPHA=BA_ALPHA
  SERV_TI=BA_SERV_TI
  BETA=BA_BETA
  TYPE=BA_TYPE
  D_A_T=BA_D_A_T
  IMP=BA_IMP
  WALKTIME=BA_WALKTIM
  ST=ST_BA

  endif


ENDPHASE 




ENDRUN
