; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="C:\BOMDLS\BO-30B\2030 NET-FFSPD\FSMAT00B.PRN" MSG='Create SEGMENT.CSV for use in LOOKUP and apply defaults'
FILEI LOOKUPI[1] = "{Working Folder-FFSPD}\{Default Segment Data}"
FILEO PRINTO[1] = "{Working Folder-FFSPD}\SEGMENT.CSV"
FILEI RECI = "{Working Folder-FFSPD}\{Segment Data}"


RECS=RECI.NUMRECORDS 

SEGID=ri.SEGID
LENGTH=ri.LENGTH
NUMSIG=ri.NUMSIG
FT1=ri.FT1
CYCLE=ri.CYCLE
GC=ri.GC
DF=ri.DF

  LOOKUP  LOOKUPI=1 LIST=Y NAME=DEFAULT,
          LOOKUP[1]=1, RESULT=2,  ; CYCLE
          LOOKUP[2]=1, RESULT=3,  ; GC
          LOOKUP[3]=1, RESULT=4,  ; DF
          LOOKUP[4]=1, RESULT=5,  ; SEG LENGTH =5.0
          LOOKUP[5]=1, RESULT=6,  ; NUMSIG =5
          INTERPOLATE =N

; flag invalid FT1
if (FT1 < 2 | FT1 > 7)
  PRINT LIST='*** FATAL Illegal FT1 of ',FT1,' on SEGID=',SEGID,' *** MUST BE FIXED'
  ABORT
endif

; set default values where needed
if (GC=0)
  GC=DEFAULT(2,FT1)
  gck=gck+1
endif

if (CYCLE=0)
  CYCLE=DEFAULT(1,FT1)
  cyclek=cyclek+1
endif

if (DF=0)
  DF=DEFAULT(3,FT1)
  dfk=dfk+1
endif

if (LENGTH=0)
  LENGTH=DEFAULT(4,FT1)
  slenk=slenk+1
endif

if (NUMSIG=0)
  NUMSIG=DEFAULT(5,FT1)
  nsigk=nsigk+1
endif


GCM=1-GC
DD=0.5*DF*CYCLE*GCM^2

PRINT CSV=T, PRINTO=1, LIST=SEGID,LENGTH,NUMSIG,FT1,CYCLE,GC,DF,DD


; at end of file, print number of segments with default values
if (I=0)

PRINT LIST='segments with default GC= ',gck
PRINT LIST='segments with default CYCLE= ',cyclek
PRINT LIST='segments with default DF= ',dfk
PRINT LIST='segments with default LENGTH= ',slenk
PRINT LIST='segments with default NUMSIG= ',nsigk

endif

ENDRUN
