; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=NETWORK PRNFILE="C:\BOMDLS\BO-30B\2030 NET-FFSPD\FSNET00B.PRN" MSG='Compute FFSPD values and adjusted SPD1 Values'
FILEO LINKO = "{Working Folder-FFSPD}\KEEPATTRBS.DBF",
 INCLUDE=A,B,SEGID,POSTSPD,
STATION,AADT,CTOTAL,PASS_VEH,F4T_TRUCK,COMBTRK,PASS_PCT,F4T_PCT,SU_PCT,COMB_PCT,CTYPE,RPAS4T,RSUTRK,RSUCOM,COUNTY
FILEO NETO = "{Working Folder-FFSPD}\NEWFFSPD.NET"
FILEI LOOKUPI[1] = "{Working Folder-FFSPD}\SEGMENT.CSV"
FILEI LINKI[1] = "{Working Folder-FFSPD}\FSNET00A.NET"

;SEGID LENGTH NUMSIG FT1 CYCLE GC DF DD
/*
; lookup parameters by SEGID
  LOOKUP  LOOKUPI=1 LIST=Y NAME=SEGDATA,
          LOOKUP[1]=1, RESULT=2,  ; SEG LENGTH
          LOOKUP[2]=1, RESULT=3,  ; NUMSIG
          LOOKUP[3]=1, RESULT=4,  ; FT1
          LOOKUP[4]=1, RESULT=5,  ; CYCLE
          LOOKUP[5]=1, RESULT=6,  ; GC
          LOOKUP[6]=1, RESULT=7,  ; DF
          LOOKUP[7]=1, RESULT=8,  ; DD
          INTERPOLATE =N

_slen=SEGDATA(1,li.1.SEGID) ; lookup slen from curve 1 for the current link SEGID
_nsig=SEGDATA(2,li.1.SEGID) ; lookup nsig from curve 2 for the current link SEGID
_DD=SEGDATA(7,li.1.SEGID)   ; lookup DD from curve 7 for the current link SEGID
_secphr=1.0/3600

_FT1=INT(0.1*li.1.FT2) ; Compute FT1 from FT2, note FT1 is already on this input network

IF (_FT1 <> 5)
  IF (li.1.POSTSPD > 50.0)
    FFSPD=0.88*li.1.POSTSPD + 14
  ELSE
    FFSPD=0.79*li.1.POSTSPD + 12
  ENDIF
  FFOLD=FFSPD
  IF (li.1.SEGID <> 0)
    FFSPD=_slen/( (_slen/FFSPD) + _nsig*_DD*_secphr)
    IF (FFSPD=0)
      _ecount=_ecount+1
      PRINT LIST='FFSPD computed = ',FFSPD
      PRINT LIST='FFOLD= ',FFOLD
      PRINT LIST='SEGID= ',SEGID
      PRINT LIST='slen= ',_slen
      PRINT LIST='nsig= ',_nsig
      PRINT LIST='DD= ',_DD
      PRINT LIST='secphr= ',_secphr
    ENDIF
    _icount=_icount+1
  ELSE
    _ffcount=_ffcount+1
  ENDIF
ELSE
FFSPD=li.1.POSTSPD
ENDIF

; Apply adjustment factors and convert to Integer speeds for use in FSUTMS

_ADJF=1.0

READ,
        FILE = "C:\FSUTMS\DISTRICT4\CUBE\MERGE1.DAT"

/* ; content of read file
IF (AT2=11-14 & FT2=21-26) _ADJF=1.1000
IF (AT2=11-14 & FT2=31-38) _ADJF=1.1000
IF (AT2=11-14 & FT2=41-48) _ADJF=0.9500
IF (AT2=11-14 & FT2=61-68) _ADJF=1.1000
IF (AT2=21-21 & FT2=21-26) _ADJF=1.0000
IF (AT2=21-21 & FT2=31-38) _ADJF=1.1000
IF (AT2=21-21 & FT2=41-48) _ADJF=0.9000
IF (AT2=21-21 & FT2=61-68) _ADJF=1.0000
IF (AT2=31-35 & FT2=11-17) _ADJF=0.9500
IF (AT2=31-35 & FT2=21-26) _ADJF=1.0200
IF (AT2=31-35 & FT2=31-38) _ADJF=1.1000
IF (AT2=31-35 & FT2=41-48) _ADJF=1.0500
IF (AT2=31-35 & FT2=61-68) _ADJF=1.0000
IF (AT2=31-35 & FT2=71-79) _ADJF=0.9500
IF (AT2=31-35 & FT2=97-98) _ADJF=0.9500
IF (AT2=31-35 & FT2=81-85) _ADJF=0.9500
IF (AT2=41-45 & FT2=11-17) _ADJF=1.0000
IF (AT2=41-45 & FT2=21-26) _ADJF=1.0500
IF (AT2=41-45 & FT2=31-38) _ADJF=1.1000
IF (AT2=41-45 & FT2=41-48) _ADJF=0.9500
IF (AT2=41-45 & FT2=61-68) _ADJF=1.0000
IF (AT2=41-45 & FT2=71-79) _ADJF=0.9500
IF (AT2=41-45 & FT2=97-98) _ADJF=0.9500
IF (AT2=51-52 & FT2=11-17) _ADJF=0.9500
IF (AT2=51-52 & FT2=21-26) _ADJF=0.9000
IF (AT2=51-52 & FT2=31-38) _ADJF=0.9000
IF (AT2=51-52 & FT2=41-48) _ADJF=1.0000
IF (AT2=51-52 & FT2=71-79) _ADJF=0.9500
IF (AT2=51-52 & FT2=97-98) _ADJF=0.9500
IF (AT2=51-52 & FT2=91-95) _ADJF=0.9500
*/

IF (li.1.POSTSPD <> 0)

  IF (ST='S') SPD1=round(FFSPD*_ADJF)

;  IF (ST_AB = 'S') SPD1_AB = round(FFSPD*_ADJF)
;  IF (ST_BA = 'S') SPD1_BA = round(FFSPD*_ADJF)

; These two lines don't make sense to me but were in the original
;  IF (ST_AB = 'S') SPD2_AB = round(FFSPD*_ADJF)
;  IF (ST_BA = 'S') SPD2_BA = round(FFSPD*_ADJF)
ENDIF


PROCESS  PHASE=SUMMARY 

IF (_ecount>0) PRINT LIST=_ecount,' links with segids were assigned speed=0'

PRINT LIST=_ffcount,' Free-flow links'
PRINT LIST=_icount,' intersection controlled links'

ENDPHASE

*/

  
ENDRUN
