; Script for program MATRIX in file "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTMAT00E.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTMAT00H.PRN" MSG='Convert SPDCAP to Voyager Format'
FILEO PRINTO[2] = "{Working Folder-FFSPD}\SPDCAP.ERR"
FILEO PRINTO[1] = "{Working Folder-FFSPD}\SPDCAP.CSV"
FILEI RECI = "{Working Folder-Model}\SPDCAP.{Year}{ALT}"
ARRAY SPDLOOKUP=999999 CAPLOOKUP=999999
LAT=SUBSTR(RECI,1,2)
HAT=SUBSTR(RECI,3,2)
LFT=SUBSTR(RECI,5,2)
HFT=SUBSTR(RECI,7,2)
LLN=SUBSTR(RECI,9,2)
HLN=SUBSTR(RECI,11,2)
CAPFUNC=SUBSTR(RECI,13,1)
CAP=SUBSTR(RECI,14,5)
SPDFUNC=SUBSTR(RECI,19,1)
SPD=SUBSTR(RECI,20,4)
    LATVAL=VAL(LAT)
    HATVAL=VAL(HAT)
    LFTVAL=VAL(LFT)
    HFTVAL=VAL(HFT)
    LLNVAL=VAL(LLN)
    HLNVAL=VAL(HLN)
    CAPVAL=VAL(CAP)
    SPDVAL=VAL(SPD)
; PLACE INITIAL CAPACITIES & SPEEDS INTO AN ARRAY
IF (CAPFUNC=' ') 
    LOOP ATYPE=LATVAL,HATVAL
      LOOP FTYPE=LFTVAL,HFTVAL
        LOOP LANES=LLNVAL,HLNVAL
        INDEXVAL=ATYPE*10000+FTYPE*100+LANES
        CAPLOOKUP[INDEXVAL]=CAPVAL  
        ENDLOOP
      ENDLOOP
    ENDLOOP
ENDIF
IF (SPDFUNC=' ') 
    LOOP ATYPE=LATVAL,HATVAL
      LOOP FTYPE=LFTVAL,HFTVAL
        LOOP LANES=LLNVAL,HLNVAL
        INDEXVAL=ATYPE*10000+FTYPE*100+LANES
        SPDLOOKUP[INDEXVAL]=SPDVAL  
        ENDLOOP
      ENDLOOP
    ENDLOOP
ENDIF
IF (CAPFUNC='*')
    LOOP ATYPE=LATVAL,HATVAL
      LOOP FTYPE=LFTVAL,HFTVAL
        LOOP LANES=LLNVAL,HLNVAL
        INDEXVAL=ATYPE*10000+FTYPE*100+LANES
        CAPLOOKUP[INDEXVAL]=CAPLOOKUP[INDEXVAL]*CAPVAL
        ENDLOOP
      ENDLOOP
    ENDLOOP
ENDIF
IF (SPDFUNC='*'|SPDFUNC='+'|SPDFUNC='-')
    LOOP ATYPE=LATVAL,HATVAL
      LOOP FTYPE=LFTVAL,HFTVAL
        LOOP LANES=LLNVAL,HLNVAL
        INDEXVAL=ATYPE*10000+FTYPE*100+LANES
        IF (SPDFUNC='*') SPDLOOKUP[INDEXVAL]=SPDLOOKUP[INDEXVAL]*SPDVAL
        IF (SPDFUNC='+') SPDLOOKUP[INDEXVAL]=SPDLOOKUP[INDEXVAL]+SPDVAL
        IF (SPDFUNC='-') SPDLOOKUP[INDEXVAL]=SPDLOOKUP[INDEXVAL]-SPDVAL
        ENDLOOP
      ENDLOOP
    ENDLOOP
ENDIF


IF (I=0)
  PRINT LIST='SPEED OR CAPACITY ERRORS WHERE THE SPDCAP RESULT IS LESS THAN ZERO', PRINTO=2
  LOOP IVAL=1,999999
     IF (CAPLOOKUP[IVAL]>0|SPDLOOKUP[IVAL]>0)   PRINT CSV=T, LIST=IVAL(6.0),CAPLOOKUP[IVAL],SPDLOOKUP[IVAL],PRINTO=1
     IF (CAPLOOKUP[IVAL]<0)   
        CAPERRCNT=CAPERRCNT+1
        PRINT CSV=T, LIST='SPDCAP ERROR FOR ATFTLN=',IVAL(6.0),'  CAPACITY=',CAPLOOKUP[IVAL](9.2),PRINTO=2
     ENDIF
     IF (SPDLOOKUP[IVAL]<0)
        SPDERRCNT=SPDERRCNT+1
        PRINT CSV=T, LIST='SPDCAP ERROR FOR ATFTLN=',IVAL(6.0),'     SPEED=',SPDLOOKUP[IVAL](9.2),PRINTO=2
     ENDIF
  ENDLOOP
  PRINT LIST='\n************Error Report Summary*************',
             '\nTOTAL LESS THAN ZERO CAPACITY ERRORS=',CAPERRCNT(8.0C),
             '\nTOTAL LESS THAN ZERO SPEED ERRORS   =',SPDERRCNT(8.0C), printo=2
ENDIF
  if (caperrcnt>0) abort
  if (spderrcnt>0) abort


ENDRUN


; Script for program MATRIX in file "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTMAT00C.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTMAT00E.PRN" MSG='PROCESS VFACTORS into a LOOKUP'
FILEO PRINTO[1] = "{Working Folder-FFSPD}\VFACTORS.CSV"
FILEI RECI = "{Working Folder-Model}\VFACTORS.{year}{alt}"

FT=SUBSTR(RECI,6,2)
UROAD=SUBSTR(RECI,18,7)
CONFAC=SUBSTR(RECI,35,7)
BPRCOEF=SUBSTR(RECI,53,7)
BPREXP=SUBSTR(RECI,71,7)

PRINT CSV=T, LIST=FT(2.0),UROAD(7.4),CONFAC(7.4),BPRCOEF(7.4),BPREXP(7.4), PRINTO=1


ENDRUN


; Script for program NETWORK in file "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTNET00C.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=NETWORK PRNFILE="C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTNET00C.PRN" MSG='Write Speeds and Capacities on Network'
FILEI LOOKUPI[2] = "{Working Folder-FFSPD}\SPDCAP.CSV"
FILEI LOOKUPI[1] = "{Working Folder-FFSPD}\VFACTORS.CSV"
FILEO PRINTO[2] = "{Working Folder-FFSPD}\NODEDATA.PRN"
FILEO PRINTO[1] = "{Working Folder-FFSPD}\NETERRORS.PRN"
FILEO NETO = "{Working Folder-FFSPD}\BASE.NET",
 exclude=uf,cf,bprlos,bprexp
FILEI LINKI[1] = "{Working Folder-FFSPD}\{HNET}"
PAR  ZONES={zonesa} LIST_ERRS=0 MAX_IP_ERRS=999999

;Wries CV XY Data

PHASE=NODEMERGE
  PRINT, CSV=T, LIST= N(10.2), X(10.2), Y(10.2), PRINTO=2
 
ENDPHASE


PHASE=LINKMERGE
  if (ttime>0&tspeed=0) tspeed=60*tdist/ttime
  if (ttime=0&tspeed>0) ttime=60*tdist/tspeed
  if (distance=0)  
     DISTANCE= SQRT((a.x-b.x)^2+(a.y-b.y)^2)/{units}
  ENDIF

LOOKUP, NAME=SPDCAP, 
    LOOKUP[1]=1, RESULT=2,
    LOOKUP[2]=1, RESULT=3,
    INTERPOLATE=N, LOOKUPI=2

; PUT SPEEDS AND CAPACITIES ON NETWORK
  _INDEXVAL=10000*AREA_TYPE+100*FACILITY_TYPE+NUM_LANES
  CAPACITY=SPDCAP(1,_INDEXVAL)*NUM_LANES
  SPEED=SPDCAP(2,_INDEXVAL)


  IF (STCARD='S'&TIME>0) 
     SPEED=TIME
     TIME=0
  endif
  IF (STCARD='S'&TIME2>0) 
     SPEED2=TIME2 
     TIME2=0
  ENDIF

  IF(speed>0)
     TIME=DISTANCE/SPEED*60
  ELSE
     SPEED=60*DISTANCE/TIME
  ENDIF
  IF(speed2>0)
     TIME2=DISTANCE/SPEED2*60
  ELSE
     SPEED2=SPEED
     TIME2=DISTANCE/SPEED2*60
  ENDIF

  IF (FACILITY_TYPE=0) FACILITY_TYPE=49
  LOOKUP NAME=VFACTORS, 
      LOOKUP[1]=1, RESULT=2, ; UROAD BY FT
      LOOKUP[2]=1, RESULT=3, ; CONFAC BY FT
      LOOKUP[3]=1, RESULT=4, ; BPR COEFFICIENT
      LOOKUP[4]=1, RESULT=5, ; BPR EXPONENT
      INTERPOLATE=N,lookupi=1
  UROADFACTOR=VFACTORS(1,FACILITY_TYPE)
  CONFAC=VFACTORS(2,FACILITY_TYPE)
  BPRCOEFFICIENT=VFACTORS(3,FACILITY_TYPE)
  BPREXPONENT=VFACTORS(4,FACILITY_TYPE)

  IF (DISTANCE=0) DISTANCE=TDIST
  IF (TIME=0) TIME=99
  IF (FACILITY_TYPE=0) FACILITY_TYPE=49
  IF (AREA_TYPE=0) AREA_TYPE=31


  
; THIS ADDED TO REPORT LINKS WITHOUT SPEEDS OR CAPACITIES
  if (speed=0|capacity=0) 
    _STOPMODEL=1
    _AT=AREA_TYPE
    _FT=FACILITY_TYPE
    PRINT,LIST="A/B/AT/FT/LN/SPEED/CAP",A(6.0),B(6.0),AREA_TYPE(4.0),FACILITY_TYPE(4.0),NUM_LANES(3.0),SPEED(6.2),CAPACITY(7.0c) PRINTO=1
  ENDIF
LOG VAR=_STOPMODEL


ENDRUN


; Script for program NETWORK in file "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTNET00D.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=NETWORK MSG='Flags Toll Accel/Decel Nodes'
FILEO PRINTO[1] = "{Working Folder-FFSPD}\TEMPNODE.DAT"
FILEI LINKI[1] = "{Working Folder-FFSPD}\BASE.NET"



if (li.1.toll>0)
  a_accel=0
  a_decel=1
  b_accel=1
  b_decel=0
  PRINT form=0, LIST=A,' ',a_accel,' ',a_decel,printo=1
  PRINT form=0, LIST='NODE= ',A,' ACCEL_NODE= ',a_accel,' DECEL_NODE= ',a_decel
  PRINT form=0, LIST=B,' ',b_accel,' ',b_decel,printo=1
  PRINT form=0, LIST='NODE= ',B,' ACCEL_NODE= ',b_accel,' DECEL_NODE= ',b_decel
endif




ENDRUN


; Script for program NETWORK in file "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTNET00E.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=NETWORK PRNFILE="C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTNET00D.PRN" MSG='Assign Accel/Decel Attributes to Links'
FILEO NETO = "{Working Folder-FFSPD}\TMPNET2.NET",
exclude=_toll_dec,_toll_acc
FILEI LINKI[1] = "{Working Folder-FFSPD}\BASE.NET"
FILEI NODEI[2] = "{Working Folder-FFSPD}\TEMPNODE.DAT",
 VAR=N,_TOLL_ACC,_TOLL_DEC


PROCESS  PHASE=INPUT, FILEI=LI.1
  TOLL_ACC=0
  TOLL_DEC=0
ENDPROCESS

PROCESS PHASE=LINKMERGE   
  IF(B._TOLL_DEC=1) TOLL_DEC=1
  IF(A._TOLL_ACC=1) TOLL_ACC=1
ENDPROCESS

ENDRUN


; Script for program MATRIX in file "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTMAT00A.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTMAT00A.PRN" MSG='Create SEGMENT.CSV for use in LOOKUP and apply defaults'
FILEI LOOKUPI[1] = "{Working Folder-FFSPD}\{Default Segment Data}"
FILEO PRINTO[1] = "{Working Folder-FFSPD}\SEGMENT.CSV"
FILEI RECI = "{Working Folder-FFSPD}\{Segment Data}"


RECS=RECI.NUMRECORDS 

SEGID=ri.SEGID
LENGTH=ri.LENGTH
NUMSIG=ri.NUMSIG
FT1=ri.FT1
CYCLE=ri.CYCLE
GC=ri.GC
DF=ri.DF

  LOOKUP  LOOKUPI=1 LIST=Y NAME=DEFAULT,
          LOOKUP[1]=1, RESULT=2,  ; CYCLE
          LOOKUP[2]=1, RESULT=3,  ; GC
          LOOKUP[3]=1, RESULT=4,  ; DF
          LOOKUP[4]=1, RESULT=5,  ; SEG LENGTH =5.0
          LOOKUP[5]=1, RESULT=6,  ; NUMSIG =5
          INTERPOLATE =N

; flag invalid FT1
if (FT1 < 2 | FT1 > 7)
  PRINT LIST='*** FATAL Illegal FT1 of ',FT1,' on SEGID=',SEGID,' *** MUST BE FIXED'
  ABORT
endif

; set default values where needed
if (GC=0)
  GC=DEFAULT(2,FT1)
  gck=gck+1
endif

if (CYCLE=0)
  CYCLE=DEFAULT(1,FT1)
  cyclek=cyclek+1
endif

if (DF=0)
  DF=DEFAULT(3,FT1)
  dfk=dfk+1
endif

if (LENGTH=0)
  LENGTH=DEFAULT(4,FT1)
  slenk=slenk+1
endif

if (NUMSIG=0)
  NUMSIG=DEFAULT(5,FT1)
  nsigk=nsigk+1
endif


GCM=1-GC
DD=0.5*DF*CYCLE*GCM^2

PRINT CSV=T, PRINTO=1, LIST=SEGID,LENGTH,NUMSIG,FT1,CYCLE,GC,DF,DD


; at end of file, print number of segments with default values
if (I=0)

PRINT LIST='segments with default GC= ',gck
PRINT LIST='segments with default CYCLE= ',cyclek
PRINT LIST='segments with default DF= ',dfk
PRINT LIST='segments with default LENGTH= ',slenk
PRINT LIST='segments with default NUMSIG= ',nsigk

endif

ENDRUN


; Script for program MATRIX in file "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTMAT00B.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTMAT00C.PRN" MSG='rewrite SPDADJ.DBF file into script commands for later use via READ statement'
FILEO PRINTO[1] = "{Working Folder-FFSPD}\MERGE1.DAT"
FILEI RECI = "{Working Folder-FFSPD}\{SPDADJ Factors}"



PRINT PRINTO=1,
   LIST='IF (AREA_TYPE=',ri.AT1(2.0),'-',ri.AT2(2.0),' & FACILITY_TYPE=',ri.FT1(2.0),'-',ri.FT2(2.0),') _ADJF=',ri.FACTOR(6.4)


/*
AT1 AT2 FT1 FT2 FACTOR 
11 14 21 26 1.1000 
11 14 31 38 1.1000 
11 14 41 48 0.9500 
11 14 61 68 1.1000 
21 21 21 26 1.0000 
21 21 31 38 1.1000 
21 21 41 48 0.9000 
21 21 61 68 1.0000 
31 35 11 17 0.9500 
31 35 21 26 1.0200 
31 35 31 38 1.1000 
31 35 41 48 1.0500 
31 35 61 68 1.0000 
31 35 71 79 0.9500 
31 35 97 98 0.9500 
31 35 81 85 0.9500 
41 45 11 17 1.0000 
41 45 21 26 1.0500 
41 45 31 38 1.1000 
41 45 41 48 0.9500 
41 45 61 68 1.0000 
41 45 71 79 0.9500 
41 45 97 98 0.9500 
51 52 11 17 0.9500 
51 52 21 26 0.9000 
51 52 31 38 0.9000 
51 52 41 48 1.0000 
51 52 71 79 0.9500 
51 52 97 98 0.9500 
51 52 91 95 0.9500 
*/






ENDRUN


; Script for program MATRIX in file "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTMAT00D.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=MATRIX PRNFILE="C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTMAT00F.PRN" MSG='Extract Appropriate Curve Data'
FILEO PRINTO[1] = "{Working Folder-FFSPD}\CURVES.TXT"
FILEI RECI = "{Working Folder-Model}\SDLAYUPD.{YEAR}{ALT}",
 CARD=1-1, LOWMODE=2-3, HIGHMODE=4-5,
LOWAT=6-7, HIGHAT=8-9, LOWFT=10-11, HIGHFT=12-13, CURVE=15-16

IF (RI.CARD=2) 

  LOOP _WW=RI.LOWMODE,RI.HIGHMODE
      PRINT LIST="IF (AREA_TYPE=",ri.LOWAT(2.0),"-",ri.HIGHAT(2.0),
           "&FACILITY_TYPE=",ri.LOWFT(2.0),"-",ri.HIGHFT(2.0),
           ") _CURVEMODE",_WW(2.0L),"=",ri.CURVE(2.0), printo=1
  ENDLOOP

ENDIF

ENDRUN


; Script for program NETWORK in file "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTNET00B.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=NETWORK PRNFILE="C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTNET00B.PRN" MSG='Compute FFSPD values and adjusted SPD1 Values'
FILEO PRINTO[1] = "{Working Folder-FFSPD}\TRNSPEEDS.PRN"
FILEI LOOKUPI[2] = "{Working Folder-FFSPD}\TSPDS.CSV"
FILEI LOOKUPI[1] = "{Working Folder-FFSPD}\SEGMENT.CSV"
FILEI LINKI[1] = "{Working Folder-FFSPD}\TMPNET2.NET"
FILEO NETO = "{Working Folder-FFSPD}\UNLOADED_BASE.NET",
 EXCLUDE=FFSPD,POSTSPD,FFOLD,SPD1


;==================
  if (time>0)
    _AUTOSPEED=60*DISTANCE/TIME
  else
    _AUTOSPEED=15
  ENDIF

  LOOKUP name=curve,
     lookup[1]=1, result=16,
     lookup[2]=2, result=17,
     lookup[3]=3, result=18,
     lookup[4]=4, result=19,
     lookup[5]=5, result=20,
     lookup[6]=6, result=21,
     lookup[7]=7, result=22,
     lookup[8]=8, result=23,
     lookup[9]=9, result=24,
     lookup[10]=10, result=25,
     lookup[11]=11, result=26,
     lookup[12]=12, result=27,
     lookup[13]=13, result=28,
     lookup[14]=14, result=29,
     lookup[15]=15, result=30,
     interpolate=y, list=y, lookupi=2

read,
 FILE = "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\CURVES.TXT"

     ; APPLY DEFAULT CURVES
     IF (_AUTOSPEED>0) 
       _TSPD1=CURVE(_CURVEMODE1,_AUTOSPEED)
       _TSPD4=CURVE(_CURVEMODE4,_AUTOSPEED)
       _TSPD5=CURVE(_CURVEMODE5,_AUTOSPEED)
       _TSPD6=CURVE(_CURVEMODE6,_AUTOSPEED)
       _TSPD8=CURVE(_CURVEMODE8,_AUTOSPEED)
       _TSPD12=CURVE(_CURVEMODE12,_AUTOSPEED)

       LBTIME=60*DISTANCE/_TSPD4
       EBTIME=60*DISTANCE/_TSPD6
       RLTIME=60*DISTANCE/_TSPD8
       SHTIME=60*DISTANCE/_TSPD12

     ENDIF
     ; OVERRIDES FROM NETWORK AND YET MISSING VALUES
     IF (TTIME>0&TMODE= 4) LBTIME=TTIME
     IF (TTIME>0&TMODE= 6) EBTIME=TTIME
     IF (TTIME>0&TMODE= 8) RLTIME=TTIME
     IF (TTIME>0&TMODE=12) SHTIME=TTIME
     IF (LBTIME=0) LBTIME=99
     IF (EBTIME=0) EBTIME=99
     IF (SHTIME=0) SHTIME=99
     _WKSPEED=60*DISTANCE/LBTIME
     _LBSPEED=60*DISTANCE/LBTIME
     _EBSPEED=60*DISTANCE/EBTIME
     _RLSPEED=60*DISTANCE/RLTIME
     _SHSPEED=60*DISTANCE/SHTIME

; WALK CONTROLS
     WALKSPEED=CURVE(_CURVEMODE1,2.5)
     WALKTIME=60*DISTANCE/WALKSPEED
     IF (FACILITY_TYPE=10-19,70-99)
        WALKDISTANCE=9.99
        WALKTIME=9.99
     ENDIF

PRINT LIST="A=",A(4.0)," B=",B(4.0),
           "  SPEEDS-  Auto=",_AUTOSPEED(4.1),
           " Walk=",WALKSPEED(4.1),
           " Local Bus=",_LBSPEED(4.1),
           " Express Bus=",_EBSPEED(4.1),
           " Shuttle Bus=",_SHSPEED(4.1),
           " Rail=",_RLSPEED(4.1),
                            PRINTO=1





;==================
;SEGID LENGTH NUMSIG FT1 CYCLE GC DF DD
; lookup parameters by SEGID
  LOOKUP  LOOKUPI=1 LIST=Y NAME=SEGDATA,
          LOOKUP[1]=1, RESULT=2,  ; SEG LENGTH
          LOOKUP[2]=1, RESULT=3,  ; NUMSIG
          LOOKUP[3]=1, RESULT=4,  ; FT1
          LOOKUP[4]=1, RESULT=5,  ; CYCLE
          LOOKUP[5]=1, RESULT=6,  ; GC
          LOOKUP[6]=1, RESULT=7,  ; DF
          LOOKUP[7]=1, RESULT=8,  ; DD
          INTERPOLATE =N

_slen=SEGDATA(1,SEGID) ; lookup slen from curve 1 for the current link SEGID
_nsig=SEGDATA(2,SEGID) ; lookup nsig from curve 2 for the current link SEGID
_DD=SEGDATA(7,SEGID)   ; lookup DD from curve 7 for the current link SEGID
_secphr=1.0/3600

_FT1=INT(0.1*FACILITY_TYPE) ; Compute FT1 from FT2, note FT1 is already on this input network

IF (_FT1 <> 5)
  IF (li.1.POSTSPD > 50.0)
    FFSPD=0.88*POSTSPD + 14
  ELSE
    FFSPD=0.79*POSTSPD + 12
  ENDIF
  FFOLD=FFSPD
  IF (li.1.SEGID <> 0)
    FFSPD=_slen/( (_slen/FFSPD) + _nsig*_DD*_secphr)
    IF (FFSPD=0)
      _ecount=_ecount+1
      PRINT LIST='FFSPD computed = ',FFSPD
      PRINT LIST='FFOLD= ',FFOLD
      PRINT LIST='SEGID= ',SEGID
      PRINT LIST='slen= ',_slen
      PRINT LIST='nsig= ',_nsig
      PRINT LIST='DD= ',_DD
      PRINT LIST='secphr= ',_secphr
    ENDIF
    _icount=_icount+1
  ELSE
    _ffcount=_ffcount+1
  ENDIF
ELSE
  FFSPD=POSTSPD
ENDIF

; Apply adjustment factors and convert to Integer speeds for use in FSUTMS

_ADJF=1.0

READ,
 FILE = "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\MERGE1.DAT"

IF (li.1.POSTSPD <> 0)
  IF (STCARD='S') SPD1=round(100*FFSPD*_ADJF)/100
ENDIF


POSTEDSPEED=POSTSPD

IF (LI.1.POSTSPD<>0)
  FREEFLOWSPEED=SPD1
ELSE
  FREEFLOWSPEED=FFSPD
ENDIF

IF (POSTSPD>0) POSTEDTIME=60*DISTANCE/POSTSPD
IF (FREEFLOWSPEED>0) FREEFLOWTIME=60*DISTANCE/FREEFLOWSPEED
IF (FREEFLOWTIME>0) TIME=FREEFLOWTIME, time2=FREEFLOWTIME
if ({rndnettime}=1) TIME=ROUND(100*TIME)/100 , time2=ROUND(100*TIME2)/100
IF (FACILITY_TYPE=99) TIME=0 TIME2=0

PROCESS  PHASE=SUMMARY 

IF (_ecount>0) PRINT LIST=_ecount,' links with segids were assigned speed=0'

PRINT LIST=_ffcount,' Free-flow links'
PRINT LIST=_icount,' intersection controlled links'

ENDPHASE

  
ENDRUN


; Script for program NETWORK in file "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTNET00G.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=NETWORK MSG='Set Temp BA variables of FSUTMS-LINKS file'
FILEO NETO = "{Working Folder-FFSPD}\TEMP2.NET"
FILEI LINKI[1] = "{Working Folder-FFSPD}\UNLOADED_BASE.NET"

phase= LINKMERGE

IF(COUNT>99999)
  BigCount=COUNT
  SmlCount=-1
 ELSE
  SmlCount=COUNT
ENDIF

IF (FACILITY_TYPE<>99)
    MSPEED=ROUND(DISTANCE/(TIME/60))
    MSPEED2=ROUND(DISTANCE/(TIME2/60))
 ELSE
    MSPEED=ROUND(FREEFLOWSPEED)
    MSPEED2=ROUND(FREEFLOWSPEED)
ENDIF 

IF ((MSPEED>=100) | (MSPEED2>=100))
   MSPEED=91
   MSPEED2=91
ENDIF


STCARDBA=' ', SpeedBA=0, Speed2BA=0, CapacityBA=0, SmlCountBA=0, NumLanesBA=0, ScreenlineBA=0,
BigCountBA=0
endphase
  

ENDRUN


; Script for program NETWORK in file "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTNET00H.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=NETWORK MSG='Flip B & A Nodes and populate BA fields of the AB network'
FILEO NETO = "{Working Folder-FFSPD}\TEMP.NET"
FILEI LINKI[2] = "{Working Folder-FFSPD}\TEMP2.NET"
FILEI LINKI[1] = "{Working Folder-FFSPD}\TEMP2.NET"
merge record=f

;Reads in the BA network
phase = INPUT, FILEI = LI.2
_temp=a
a=b
b=_temp
endphase

;Assigns the values from the BA network to the BA fields of the AB network

Phase = linkmerge
   if (STCARD == 'S')
      STCARDBA=li.2.STCARD
      MSpeedBA=li.2.MSpeed
      MSpeed2BA=li.2.MSpeed2
      CapacityBA=li.2.Capacity
      SmlCountBA=li.2.SmlCount
      NumLanesBA=li.2.NUM_LANES
      ScreenlineBA=li.2.Screenline
      BigCountBA=li.2.BigCount
    endif
endphase

ENDRUN


; Script for program NETWORK in file "C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTNET00F.S"
; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=NETWORK PRNFILE="C:\BOMDLS\BO-30B\withUS1\2030 NET-FFSPD\NTNET00F.PRN" MSG='Write FSUTMS LINKS/XY Files'
FILEI LINKI[1] = "{Working Folder-FFSPD}\TEMP.NET"
FILEO PRINTO[2] = "{Working Folder-Model}\{CV Generated XY}.{Year}{ALT}"
FILEO PRINTO[1] = "{Working Folder-Model}\{CV Generated LINKS}.{Year}{ALT}"

PHASE=NODEMERGE
   NX=X/100.
   NY=Y/100.
 
   PRINT, LIST=' ',N(5.0), ' ', NX(8.2), ' ', NY(8.2), printo=2
ENDPHASE

PHASE=LINKMERGE

  FDIST=DISTANCE*100
  FT1=INT(FACILITY_TYPE/10)
  AT1=INT(AREA_TYPE/10)

IF (FT1=5)                ; voids speeds and capacities for CENCONS
     MSPEED=0
     MSPEED2=0 
     MSPEEDBA=0
     MSPEED2BA=0
     CAPACITY=0
     CAPACITYBABA=0
ENDIF  
 
; IF(COUNT>99999) 
;     BIGCOUNT=COUNT
;     SMLCOUNT=-1
;    ELSE
;     SMLCOUNT=COUNT
;  ENDIF
   
   IF (FACILITY_TYPE <> 49)   ; ignore rail links
     IF (A<B | (A>B & STCARDBA <>'S'))   ; remove duplicates

         PRINT, printo=1,
;common variables (Columns 1-30):
         LIST=' ', DIRCODE(1.0B), A(5.0), B(5.0), FDIST(4.0B), TOLL(2.0B),   
         FT1(1.0), AT1(1.0), CONSTRUCTION(2.0B), LANDUSE(1.0B), ZONE(4.0B), LOCATION(2.0B),
         USECODE(1.0B),
;AtoB variables (Columns 31-51):  [Note: Capacity not written] 
         STCARD(1.0C), MSPEED(3.0B), MSPEED2(4.0B), '     ',    
         SMLCOUNT(5.0B), NUM_LANES(1.0), SCREENLINE(2.0B),
;BtoA variables (Columns 52-72): [Note: Capacity not written] 
         STCARDBA(1), MSPEEDBA(3.0B), MSPEED2BA(4.0B), '     ',    
         SMLCOUNTBA(5.0B), NUMLANESBA(1.0B), SCREENLINEBA(2.0B),
;common variables - 2-digit FT ans AT Codes (Columna 73-76):
         FACILITY_TYPE(2.0), AREA_TYPE(2.0),
;Big Counts (Columns: 77-88)
         BIGCOUNT(6.0B), BIGCOUNTBA(6.0B)
     ENDIF
  endif


ENDRUN


