; Do not change filenames or add or remove FILEI/FILEO statements using an editor. Use Cube/Application Manager.
RUN PGM=NETWORK PRNFILE="C:\BOMDLS\BO-30B\2030 NET-FFSPD\NTNET00C.PRN" MSG='Write Speeds and Capacities on Network'
FILEI LOOKUPI[2] = "{Working Folder-FFSPD}\SPDCAP.CSV"
FILEI LOOKUPI[1] = "{Working Folder-FFSPD}\VFACTORS.CSV"
FILEO PRINTO[2] = "{Working Folder-FFSPD}\NODEDATA.PRN"
FILEO PRINTO[1] = "{Working Folder-FFSPD}\NETERRORS.PRN"
FILEO NETO = "{Working Folder-FFSPD}\BASE.NET",
 exclude=uf,cf,bprlos,bprexp
FILEI LINKI[1] = "{Working Folder-FFSPD}\{HNET}"
PAR  ZONES={zonesa} LIST_ERRS=0 MAX_IP_ERRS=999999

;Wries CV XY Data

PHASE=NODEMERGE
  PRINT, CSV=T, LIST= N(10.2), X(10.2), Y(10.2), PRINTO=2
 
ENDPHASE


PHASE=LINKMERGE
  if (ttime>0&tspeed=0) tspeed=60*tdist/ttime
  if (ttime=0&tspeed>0) ttime=60*tdist/tspeed
  if (distance=0)  
     DISTANCE= SQRT((a.x-b.x)^2+(a.y-b.y)^2)/{units}
  ENDIF

LOOKUP, NAME=SPDCAP, 
    LOOKUP[1]=1, RESULT=2,
    LOOKUP[2]=1, RESULT=3,
    INTERPOLATE=N, LOOKUPI=2

; PUT SPEEDS AND CAPACITIES ON NETWORK
  _INDEXVAL=10000*AREA_TYPE+100*FACILITY_TYPE+NUM_LANES
  CAPACITY=SPDCAP(1,_INDEXVAL)*NUM_LANES
  SPEED=SPDCAP(2,_INDEXVAL)


  IF (STCARD='S'&TIME>0) 
     SPEED=TIME
     TIME=0
  endif
  IF (STCARD='S'&TIME2>0) 
     SPEED2=TIME2 
     TIME2=0
  ENDIF

  IF(speed>0)
     TIME=DISTANCE/SPEED*60
  ELSE
     SPEED=60*DISTANCE/TIME
  ENDIF
  IF(speed2>0)
     TIME2=DISTANCE/SPEED2*60
  ELSE
     SPEED2=SPEED
     TIME2=DISTANCE/SPEED2*60
  ENDIF

  IF (FACILITY_TYPE=0) FACILITY_TYPE=49
  LOOKUP NAME=VFACTORS, 
      LOOKUP[1]=1, RESULT=2, ; UROAD BY FT
      LOOKUP[2]=1, RESULT=3, ; CONFAC BY FT
      LOOKUP[3]=1, RESULT=4, ; BPR COEFFICIENT
      LOOKUP[4]=1, RESULT=5, ; BPR EXPONENT
      INTERPOLATE=N,lookupi=1
  UROADFACTOR=VFACTORS(1,FACILITY_TYPE)
  CONFAC=VFACTORS(2,FACILITY_TYPE)
  BPRCOEFFICIENT=VFACTORS(3,FACILITY_TYPE)
  BPREXPONENT=VFACTORS(4,FACILITY_TYPE)

  IF (DISTANCE=0) DISTANCE=TDIST
  IF (TIME=0) TIME=99
  IF (FACILITY_TYPE=0) FACILITY_TYPE=49
  IF (AREA_TYPE=0) AREA_TYPE=31


  
; THIS ADDED TO REPORT LINKS WITHOUT SPEEDS OR CAPACITIES
  if (speed=0|capacity=0) 
    _STOPMODEL=1
    _AT=AREA_TYPE
    _FT=FACILITY_TYPE
    PRINT,LIST="A/B/AT/FT/LN/SPEED/CAP",A(6.0),B(6.0),AREA_TYPE(4.0),FACILITY_TYPE(4.0),NUM_LANES(3.0),SPEED(6.2),CAPACITY(7.0c) PRINTO=1
  ENDIF
LOG VAR=_STOPMODEL


ENDRUN
