;--- tpdbc.sch schema definition for dbc database model

; --- data element dictionary definitions
; ------------------------------------------------------------------------
; --  NAME,TYPE,DEC,BUFFER,START_POS,END_POS,STRTRANGE,ENDRANGE,USAGECODES
; ------------------------------------------------------------------------
#schema TPDBC

#dictionary
 TRANSACT, C, 0, TRANSACT,  1,   1,  0,      0
 LINKID,   C, 0, LINKID ,   1,  10,  0,      0, "Y  A      "
 ANODE,    I, 0, ANODE  ,   1,   5,  1,  32767, "Y  A      "
 BNODE,    I, 0, BNODE  ,   1,   5,  1,  32767, "Y  B      "
 ALTNAM,   C, 0, ALTNAM ,   1,  12,  0,        0
 ASSIGN,   I, 0, ASSIGN ,   1,   1,  0,      9, "YY M YY   "
 COST  ,   R, 2, COST   ,   1,   6,  0,  99999, "YYYMYY S  "
 DIST,     R, 2, DIST   ,   1,   6,  0,  99999, "YCYMYY S  "
 SPEED1,   R, 2, SPEED1 ,   1,   6,  0,  99999, "YYYM Y S  "
 TIME1,    R, 2, TIME1  ,   1,   6,  0,  99999, "YYYMYY S  "
 SPEED2,   R, 2, SPEED2 ,   1,   6,  0,  99999, "YYYM Y S  "
 TIME2,    R, 2, TIME2  ,   1,   6,  0,  99999, "YYYMYY S  "
 USER,     R, 2, USER   ,   1,   6,  0,  99999, "YYYMYYY   "
 DIRCOD,   I, 0, DIRCOD ,   1,   2,  1,     16, "YY M YY   "
 LG1,      I, 0, LG1    ,   1,   2,  0,     99, "YY M YY   "
 LG2,      I, 0, LG2    ,   1,   2,  0,     99, "YY M YY   "
 LG3,      I, 0, LG3    ,   1,   2,  0,       99, "YY M YY "
 CAPAC1,   I, 0, CAPACITY1, 1,   7,  0,   999999, "YYYM Y Y"
 VOLUME,   I, 0, VOLUME ,   1,   6,  0,   999999, "YYYM Y Y"
 TWFLAG,   I, 0, TWFLAG ,   1,   1,  0,        9, "YS      "
 CONCODE,  I, 0, CONCODE,   1,   2,  0,     9999
 LANDUSE,  I, 0, LANDUSE,   1,   1,  0,     9999
 ZONE,     I, 0, ZONE   ,   1,   4,  0,     9999
 GEOLOC,   I, 0, GEOLOC ,   1,   2,  0,     9999
 USECODE,  I, 0, USECODE,   1,   1,  0,     9999
 H_CODE,   I, 0, H_CODE ,   1,   2,  0,       99,"Y       Y "
 T_CODE,   I, 0, T_CODE ,   1,   2,  0,       99,"Y       Y "
 TCLASS,   I, 0, TCLASS ,   1,   2,  0,       99
 TTYPE,    I, 0, TTYPE  ,   1,   2,  0,       99
 TOLLID,   C, 0, RAMPID ,   1,  25,  0,        0
 TOLLANE,  I, 0, TOLLANE,   1,   2,  0,       99
 MAXTLANE, I, 0, MAXTLANE,  1,   2,  0,       99
 TOLLCOST, R, 2, TOLLCOST,  1,   6,  0,   999999
 SERVTIME, I, 0, SERVTIME,  1,   2,  0,   999999
 DEC_CODE, I, 0, DEC_CODE,  1,   2,  0,       99
 ACC_CODE, I, 0, ACC_CODE,  1,   2,  0,       99
 EX_CHNGLN,I, 0, EX_CHNGLN, 1,   2,  0,       99
 AVI_LANES,I, 0, AVI_LANES, 1,   2,  0,       99
 PCTHVTRK, R, 2, PCTHVTRK,  1,   5,  0,   999999
 NODEID,   I, 0, NODEID ,   1,   5,  1,    32767
 XCOORD,   R, 0, XCOORD ,   1,   9,  0,    99999
 YCOORD,   R, 0, YCOORD ,   1,   9,  0,    99999
 TURNID,   I, 0, TURNID ,   1,   5,  0,    32767
 PFROM,    I, 0, PFROM  ,   1,   5,  1,    32767
 PTHRU,    I, 0, PTRHU  ,   1,   5,  1,    32767
 PTO,      I, 0, PTO    ,   1,   5,  1,    32767
 PENALTY,  I, 0, PENALTY,   1,   6,  0,        0
 LOD_NAME, C, 0, LOD_NAME,  1,  12,  0,        0
 OBJ_CLAS ,C, 0, OBJ_CLAS,  1,  12,  0,        0
 OBJ_TYPE ,C, 0, OBJ_TYPE,  1,  12,  0,        0
 BASE_DATA,C, 0, BASE_DATA, 1,  24,  0,        0
 ALT_NAME, C, 0, ALT_NAME,  1,  12,  0,        0
 ALT_ID,   C, 0, ALT_ID ,   1,  12,  0,        0
 CONGIMP,  R, 2, CONGIMP,   1,   6,  0,    99999
 CONGSPD,  R, 2, CONGSPD,   1,   6,  0,    99999, "YYYM Y S  "
 MODELCAP, I, 0, MODELCAP,  1,   9,  0,   999999
 VOLTOT,   I, 0, VOLTOT ,   1,   9,  0,   999999
 VOLLD01,  I, 0, VOLLD01,   1,   9,  0,   999999
 VOLLD02,  I, 0, VOLLD02,   1,   9,  0,   999999
 VOLLD03,  I, 0, VOLLD03,   1,   9,  0,   999999
 VOLLD04,  I, 0, VOLLD04,   1,   9,  0,   999999
 VOLLD05,  I, 0, VOLLD05,   1,   9,  0,   999999
 VOLLD06,  I, 0, VOLLD06,   1,   9,  0,   999999
 VOLLD07,  I, 0, VOLLD07,   1,   9,  0,   999999
 VOLLD08,  I, 0, VOLLD08,   1,   9,  0,   999999
 VOLLD09,  I, 0, VOLLD09,   1,   9,  0,   999999
 VOLLD10,  I, 0, VOLLD10,   1,   9,  0,   999999
 VOLLD11,  I, 0, VOLLD11,   1,   9,  0,   999999
 VOLLD12,  I, 0, VOLLD12,   1,   9,  0,   999999
 VOLLD13,  I, 0, VOLLD13,   1,   9,  0,   999999
 VOLLD14,  I, 0, VOLLD14,   1,   9,  0,   999999
 VOLLD15,  I, 0, VOLLD15,   1,   9,  0,   999999
 VOLLD16,  I, 0, VOLLD16,   1,   9,  0,   999999
 VOLLD17,  I, 0, VOLLD17,   1,   9,  0,   999999
 VOLLD18,  I, 0, VOLLD18,   1,   9,  0,   999999
 VOLLD19,  I, 0, VOLLD19,   1,   9,  0,   999999
 VOLLD20,  I, 0, VOLLD20,   1,   9,  0,   999999
 VOLLD21,  I, 0, VOLLD21,   1,   9,  0,   999999
 VOLLD22,  I, 0, VOLLD22,   1,   9,  0,   999999
 VOLLD23,  I, 0, VOLLD23,   1,   9,  0,   999999
 VOLLD24,  I, 0, VOLLD24,   1,   9,  0,   999999
 VOLLD25,  I, 0, VOLLD25,   1,   9,  0,   999999
 VOLLD26,  I, 0, VOLLD26,   1,   9,  0,   999999
 VOLLD27,  I, 0, VOLLD27,   1,   9,  0,   999999
 VOLLD28,  I, 0, VOLLD28,   1,   9,  0,   999999
 VOLLD29,  I, 0, VOLLD29,   1,   9,  0,   999999
 VOLLD30,  I, 0, VOLLD30,   1,   9,  0,   999999
 VOLLD31,  I, 0, VOLLD31,   1,   9,  0,   999999
 VOLLD32,  I, 0, VOLLD32,   1,   9,  0,   999999
 VOLLD33,  I, 0, VOLLD33,   1,   9,  0,   999999
 VOLLD34,  I, 0, VOLLD34,   1,   9,  0,   999999
 VOLLD35,  I, 0, VOLLD35,   1,   9,  0,   999999
 VOLLD36,  I, 0, VOLLD36,   1,   9,  0,   999999
 VOLLD37,  I, 0, VOLLD37,   1,   9,  0,   999999
 VOLLD38,  I, 0, VOLLD38,   1,   9,  0,   999999
 VOLLD39,  I, 0, VOLLD39,   1,   9,  0,   999999
 VOLLD40,  I, 0, VOLLD40,   1,   9,  0,   999999
 VOLLD41,  I, 0, VOLLD41,   1,   9,  0,   999999
 VOLLD42,  I, 0, VOLLD42,   1,   9,  0,   999999
 VOLLD43,  I, 0, VOLLD43,   1,   9,  0,   999999
 VOLLD44,  I, 0, VOLLD44,   1,   9,  0,   999999
 VOLLD45,  I, 0, VOLLD45,   1,   9,  0,   999999
 VOLLD46,  I, 0, VOLLD46,   1,   9,  0,   999999
 VOLLD47,  I, 0, VOLLD47,   1,   9,  0,   999999
 VOLLD48,  I, 0, VOLLD48,   1,   9,  0,   999999
 VOLLD49,  I, 0, VOLLD49,   1,   9,  0,   999999
 VOLLD50,  I, 0, VOLLD50,   1,   9,  0,   999999
 FLAG     ,I, 0, FLAG   ,   1,   1,  0,        0
 PERIOD   ,C, 0, PERIOD ,   1,   2,  0,        0
 MODE     ,I, 0, MODE   ,   1,   2,  0,        0
 LINE     ,I, 0, LINE   ,   1,   4,  0,        0
 ONEWAY   ,C, 0, ONEWAY ,   1,   1,  0,        0
 COMPANY  ,I, 0, COMPANY,   1,   3,  0,        0
 HEADWAY  ,R, 1, HEADWAY,   1,   5,  0,        0
 NH       ,R, 1, NH     ,   1,   5,  0,        0
 MH       ,R, 1, MH     ,   1,   5,  0,        0
 SPEED    ,R, 1, SPEED  ,   1,   5,  0,        0
 LINEID   ,C, 0, LINEID ,   1,  40,  0,        0
 NUMNODES ,I, 0, NUMNODES,  1,   4,  0,        0
 RTPATH1  ,C, 0, RTPATH ,   1, 250,  0,        0
 RTPATH2  ,C, 0, RTPATH ,   1, 250,  0,        0
 RTPATH3  ,C, 0, RTPATH ,   1, 250,  0,        0
 RTPATH4  ,C, 0, RTPATH ,   1, 250,  0,        0
 RTPATH5  ,C, 0, RTPATH ,   1, 250,  0,        0
 REFMODE  ,I, 0, REFMODE,   1,   2,  0,        0
 REFLINE  ,I, 0, REFLINE,   1,   5,  0,        0
 REPGRP   ,I, 0, REPGRP ,   1,   3,  0,        0
 MODES    ,C, 0, MODES  ,   1,  10,  0,        0
 ABDIST   ,R, 2, ABDIST ,   1,   6,  0,  99999, "YYYM Y S  "
 ABSPEED  ,R, 2, ABSPEED,   1,   6,  0,  99999, "YYYM Y S  "
 ABTIME   ,R, 2, ABTIME ,   1,   6,  0,  99999, "YYYM Y S  "
 ABFC     ,I, 0, ABFC   ,   1,   1,  0,  99999, "YYYM Y S  "
 TWOWAY   ,I, 0, TWOWAY ,   1,   1,  0,  99999, "YYYM Y S  "
 BADIST   ,R, 2, ABDIST ,   1,   6,  0,  99999, "YYYM Y S  "
 BASPEED  ,R, 2, ABSPEED,   1,   6,  0,  99999, "YYYM Y S  "
 BATIME   ,R, 2, ABTIME ,   1,   6,  0,  99999, "YYYM Y S  "
 BAFC     ,I, 0, ABFC   ,   1,   1,  0,  99999, "YYYM Y S  "
 AREATYP  ,I, 0, AREATYP,   1,   2,  0,  99999, "YYYM Y S  "
 FACTYP   ,I, 0, FACTYP ,   1,   2,  0,  99999, "YYYM Y S  "
 GISINDEX ,C, 0, GISINDEX,   1,  11,  0,       0,
 GISCLASS ,I, 0, GISCLASS,   1,   2,  0,       0,
 TP1ID    ,C, 0, TP1ID   ,   1,  10,  0,       0,
 TP1CLASS ,I, 0, TP1CLASS,   1,   2,  0,       0,
 TP1FRACT ,R, 3, TP1FRACT,   1,   5,  0,       0,
 TP2ID    ,C, 0, TP2ID   ,   1,  10,  0,       0,
 TP2CLASS ,I, 0, TP2CLASS,   1,   2,  0,       0,
 TP2FRACT ,R, 3, TP2FRACT,   1,   5,  0,       0,
 TP3ID    ,C, 0, TP3ID   ,   1,  10,  0,       0,
 TP3CLASS ,I, 0, TP3CLASS,   1,   2,  0,       0,
 TP3FRACT ,R, 3, TP3FRACT,   1,   5,  0,       0,
 TP4ID    ,C, 0, TP4ID   ,   1,  10,  0,       0,
 TP4CLASS ,I, 0, TP4CLASS,   1,   2,  0,       0,
 TP4FRACT ,R, 3, TP4FRACT,   1,   5,  0,       0,
 TP5ID    ,C, 0, TP5ID   ,   1,  10,  0,       0,
 TP5CLASS ,I, 0, TP5CLASS,   1,   2,  0,       0,
 TP5FRACT ,R, 3, TP5FRACT,   1,   5,  0,       0,
 TP6ID    ,C, 0, TP6ID   ,   1,  10,  0,       0,
 TP6CLASS ,I, 0, TP6CLASS,   1,   2,  0,       0,
 TP6FRACT ,R, 3, TP6FRACT,   1,   5,  0,       0,
 TP7ID    ,C, 0, TP7ID   ,   1,  10,  0,       0,
 TP7CLASS ,I, 0, TP7CLASS,   1,   2,  0,       0,
 TP7FRACT ,R, 3, TP7FRACT,   1,   5,  0,       0,
 TP8ID    ,C, 0, TP8ID   ,   1,  10,  0,       0,
 TP8CLASS ,I, 0, TP8CLASS,   1,   2,  0,       0,
 TP8FRACT ,R, 3, TP8FRACT,   1,   5,  0,       0,
 TP9ID    ,C, 0, TP9ID   ,   1,  10,  0,       0,
 TP9CLASS ,I, 0, TP9CLASS,   1,   2,  0,       0,
 TP9FRACT ,R, 3, TP9FRACT,   1,   5,  0,       0,
 TP10ID   ,C, 0, TP10ID  ,   1,  10,  0,       0,
 TP10CLASS,I, 0, TP10CLASS,   1,   2,  0,       0,
 TP10FRACT,R, 3, TP10FRACT,   1,   5,  0,       0,
 TPID     ,C, 0, TPID     ,   1,  10,  0,       0,
 TPCLASS  ,I, 0, TPCLASS  ,   1,   2,  0,       0,
 TPDIST   ,I, 0, TPDIST   ,   1,   6,  0,       0,
 GIS1INDEX,C, 0, GIS1INDEX,   1,  11,  0,       0,
 GIS1CLASS,I, 0, GIS1CLASS,   1,   2,  0,       0,
 GIS1FRACT,R, 3, GIS1FRACT,   1,   5,  0,       0,
 GIS2INDEX,C, 0, GIS2INDEX,   1,  11,  0,       0,
 GIS2CLASS,I, 0, GIS2CLASS,   1,   2,  0,       0,
 GIS2FRACT,R, 3, GIS2FRACT,   1,   5,  0,       0,
 GIS3INDEX,C, 0, GIS3INDEX,   1,  11,  0,       0,
 GIS3CLASS,I, 0, GIS3CLASS,   1,   2,  0,       0,
 GIS3FRACT,R, 3, GIS3FRACT,   1,   5,  0,       0,
 GIS4INDEX,C, 0, GIS4INDEX,   1,  11,  0,       0,
 GIS4CLASS,I, 0, GIS4CLASS,   1,   2,  0,       0,
 GIS4FRACT,R, 3, GIS4FRACT,   1,   5,  0,       0,
 GIS5INDEX,C, 0, GIS5INDEX,   1,  11,  0,       0,
 GIS5CLASS,I, 0, GIS5CLASS,   1,   2,  0,       0,
 GIS5FRACT,R, 3, GIS5FRACT,   1,   5,  0,       0,
 GIS6INDEX,C, 0, GIS6INDEX,   1,  11,  0,       0,
 GIS6CLASS,I, 0, GIS6CLASS,   1,   2,  0,       0,
 GIS6FRACT,R, 3, GIS6FRACT,   1,   5,  0,       0,
 GIS7INDEX,C, 0, GIS7INDEX,   1,  11,  0,       0,
 GIS7CLASS,I, 0, GIS7CLASS,   1,   2,  0,       0,
 GIS7FRACT,R, 3, GIS7FRACT,   1,   5,  0,       0,
 GIS8INDEX,C, 0, GIS8INDEX,   1,  11,  0,       0,
 GIS8CLASS,I, 0, GIS8CLASS,   1,   2,  0,       0,
 GIS8FRACT,R, 3, GIS8FRACT,   1,   5,  0,       0,
 GIS9INDEX,C, 0, GIS9INDEX,   1,  11,  0,       0,
 GIS9CLASS,I, 0, GIS9CLASS,   1,   2,  0,       0,
 GIS9FRACT,R, 3, GIS9FRACT,   1,   5,  0,       0,
 GIS10INDEX,C, 0, GIS10INDEX,   1,  11,  0,       0,
 GIS10CLASS,I, 0, GIS10CLASS,   1,   2,  0,       0,
 GIS10FRACT,R, 3, GIS10FRACT,   1,   5,  0,       0,
 GIS11INDEX,C, 0, GIS11INDEX,   1,  11,  0,       0,
 GIS11CLASS,I, 0, GIS11CLASS,   1,   2,  0,       0,
 GIS11FRACT,R, 3, GIS11FRACT,   1,   5,  0,       0,
 GIS12INDEX,C, 0, GIS12INDEX,   1,  11,  0,       0,
 GIS12CLASS,I, 0, GIS12CLASS,   1,   2,  0,       0,
 GIS12FRACT,R, 3, GIS12FRACT,   1,   5,  0,       0,
 GIS13INDEX,C, 0, GIS13INDEX,   1,  11,  0,       0,
 GIS13CLASS,I, 0, GIS13CLASS,   1,   2,  0,       0,
 GIS13FRACT,R, 3, GIS13FRACT,   1,   5,  0,       0,
 GIS14INDEX,C, 0, GIS14INDEX,   1,  11,  0,       0,
 GIS14CLASS,I, 0, GIS14CLASS,   1,   2,  0,       0,
 GIS14FRACT,R, 3, GIS14FRACT,   1,   5,  0,       0,
 GIS15INDEX,C, 0, GIS15INDEX,   1,  11,  0,       0,
 GIS15CLASS,I, 0, GIS15CLASS,   1,   2,  0,       0,
 GIS15FRACT,R, 3, GIS15FRACT,   1,   5,  0,       0,
 GIS16INDEX,C, 0, GIS16INDEX,   1,  11,  0,       0,
 GIS16CLASS,I, 0, GIS16CLASS,   1,   2,  0,       0,
 GIS16FRACT,R, 3, GIS16FRACT,   1,   5,  0,       0,
 GIS17INDEX,C, 0, GIS17INDEX,   1,  11,  0,       0,
 GIS17CLASS,I, 0, GIS17CLASS,   1,   2,  0,       0,
 GIS17FRACT,R, 3, GIS17FRACT,   1,   5,  0,       0,
 GIS18INDEX,C, 0, GIS18INDEX,   1,  11,  0,       0,
 GIS18CLASS,I, 0, GIS18CLASS,   1,   2,  0,       0,
 GIS18FRACT,R, 3, GIS18FRACT,   1,   5,  0,       0,
 GIS19INDEX,C, 0, GIS19INDEX,   1,  11,  0,       0,
 GIS19CLASS,I, 0, GIS19CLASS,   1,   2,  0,       0,
 GIS19FRACT,R, 3, GIS19FRACT,   1,   5,  0,       0,
 GIS20INDEX,C, 0, GIS20INDEX,   1,  11,  0,       0,
 GIS20CLASS,I, 0, GIS20CLASS,   1,   2,  0,       0,
 GIS20FRACT,R, 3, GIS20FRACT,   1,   5,  0,       0,
 FLDOPT   ,C, 0, FLDOPT ,   1,   1,  0,        0
 LMODE    ,M, 0, LMODE  ,   1,   5,  0,     30, "   M YY   "
 ISECT    ,I, 0, ISECT  ,   1,   3,  1,    999
 IZONE    ,I, 0, IZONE  ,   1,   4,  0,   9999
 DUS      ,R, 0, DUS    ,   1,   5,  0,      0
 PCVTS    ,R, 0, PCVTS  ,   1,   3,  0,      0
 PCVS     ,R, 0, PCVS   ,   1,   3,  0,      0
 POPS     ,R, 0, POPS   ,   1,   5,  0,      0
 PCA11    ,R, 0, PCA11  ,   1,   3,  0,      0
 PCA12    ,R, 0, PCA12  ,   1,   3,  0,      0
 PCA13    ,R, 0, PCA13  ,   1,   3,  0,      0
 DUM      ,R, 0, DUM    ,   1,   5,  0,      0
 PCVTM    ,R, 0, PCVTM  ,   1,   3,  0,      0
 PCVM     ,R, 0, PCVM   ,   1,   3,  0,      0
 POPM     ,R, 0, POPM   ,   1,   5,  0,      0
 PCA21    ,R, 0, PCA21  ,   1,   3,  0,      0
 PCA22    ,R, 0, PCA22  ,   1,   3,  0,      0
 PCA23    ,R, 0, PCA23  ,   1,   3,  0,      0
 DUH      ,R, 0, DUH    ,   1,   5,  0,      0
 PCOH     ,R, 0, PCOH   ,   1,   3,  0,      0
 POPH     ,R, 0, POPH   ,   1,   5,  0,      0
 INDEMP   ,R, 0, INDEMP ,   1,   6,  0,      0
 COMEMP   ,R, 0, COMEMP ,   1,   6,  0,      0
 SEREMP   ,R, 0, SEREMP ,   1,   6,  0,      0
 TOTEMP   ,R, 0, TOTEMP ,   1,   6,  0,      0
 SCHENR   ,R, 0, SCHENR ,   1,   6,  0,      0
 TPM      ,C, 0, TPM    ,   1,  10,  0,      0
 PRODATT  ,I, 0, PRODATT,   1,   4,  0,      0
 TRIPS    ,R, 0, TRIPS  ,   1,   6,  0,      0
 HBW      ,I, 0, HBW    ,   1,   3,  0,      0
 HBSH     ,I, 0, HBSH   ,   1,   3,  0,      0
 HBSR     ,I, 0, HBSR   ,   1,   3,  0,      0
 HBO      ,I, 0, HBO    ,   1,   3,  0,      0
 NHB      ,I, 0, NHB    ,   1,   3,  0,      0
 SGVAR1   ,R, 0, SGVAR1 ,   1,   5,  0,      0
 SGVAR2   ,R, 0, SGVAR2 ,   1,   5,  0,      0
 SGVAR3   ,R, 0, SGVAR3 ,   1,   5,  0,      0
 SGVAR4   ,R, 0, SGVAR4 ,   1,   5,  0,      0
 SGVAR5   ,R, 0, SGVAR5 ,   1,   5,  0,      0
 DESCRP   ,C, 0, DESCRP ,   1,  25,  0,      0
 NUMPNTS  ,I, 0, NUMPNTS,   1,   4,  0,      0
 MODE01P1 ,I, 0, MODE01P1,  1,   6,  0,      0
 MODE02P1 ,I, 0, MODE02P1,  1,   6,  0,      0
 MODE03P1 ,I, 0, MODE03P1,  1,   6,  0,      0
 MODE04P1 ,I, 0, MODE04P1,  1,   6,  0,      0
 MODE05P1 ,I, 0, MODE05P1,  1,   6,  0,      0
 MODE06P1 ,I, 0, MODE06P1,  1,   6,  0,      0
 MODE07P1 ,I, 0, MODE07P1,  1,   6,  0,      0
 MODE08P1 ,I, 0, MODE08P1,  1,   6,  0,      0
 MODE01P2 ,I, 0, MODE01P2,  1,   6,  0,      0
 MODE02P2 ,I, 0, MODE02P2,  1,   6,  0,      0
 MODE03P2 ,I, 0, MODE03P2,  1,   6,  0,      0
 MODE04P2 ,I, 0, MODE04P2,  1,   6,  0,      0
 MODE05P2 ,I, 0, MODE05P2,  1,   6,  0,      0
 MODE06P2 ,I, 0, MODE06P2,  1,   6,  0,      0
 MODE07P2 ,I, 0, MODE07P2,  1,   6,  0,      0
 MODE08P2 ,I, 0, MODE08P2,  1,   6,  0,      0
 A        ,I, 0, A       ,  1,   5,  1,  99999
 B        ,I, 0, B       ,  1,   5,  1,  99999
 PLOT     ,I, 0, PLOT    ,  1,   1,  0,      0
 REV      ,I, 0, REV     ,  1,   1,  0,      0
 STOPA    ,I, 0, STOPA   ,  1,   1,  0,      0
 STOPB    ,I, 0, STOPB   ,  1,   1,  0,      0
 NAME     ,C, 0, NAME    ,  1,  12,  0,      0
 SEQ      ,I, 0, SEQE    ,  1,   3,  0,      0
 OWNER    ,C, 0, OWNER   ,  1,  10,  0,      0
 AB_TIME  ,I, 0, AB_TIME ,  1,   5,  0,      0
 AB_DIST  ,I, 0, AB_DIST ,  1,   4,  0,      0
 AB_VOL   ,I, 0, AB_VOL  ,  1,   6,  0,      0
 AB_BRDA  ,I, 0, AB_BRDA ,  1,   6,  0,      0
 AB_XITA  ,I, 0, AB_XITA ,  1,   6,  0,      0
 AB_BRDB  ,I, 0, AB_BRDB ,  1,   6,  0,      0
 AB_XITB  ,I, 0, AB_XITB ,  1,   6,  0,      0
 BA_TIME  ,I, 0, BA_TIME ,  1,   5,  0,      0
 BA_DIST  ,I, 0, BA_DIST ,  1,   4,  0,      0
 BA_VOL   ,I, 0, BA_VOL  ,  1,   6,  0,      0
 BA_BRDA  ,I, 0, BA_BRDA ,  1,   6,  0,      0
 BA_XITA  ,I, 0, BA_XITA ,  1,   6,  0,      0
 BA_BRDB  ,I, 0, BA_BRDB ,  1,   6,  0,      0
 BA_XITB  ,I, 0, BA_XITB ,  1,   6,  0,      0
#end dictionary

; --- define the highway load impedance
#object HWYLOD
 CONGIMP
 CONGSPD
 MODELCAP
 VOLTOT
 VOLLD01
 VOLLD02
 VOLLD03
 VOLLD04
 VOLLD05
 VOLLD06
 VOLLD07
 VOLLD08
 VOLLD09
 VOLLD10
 VOLLD11
 VOLLD12
 VOLLD13
 VOLLD14
 VOLLD15
 VOLLD16
 VOLLD17
 VOLLD18
 VOLLD19
 VOLLD20
 VOLLD21
 VOLLD22
 VOLLD23
 VOLLD24
 VOLLD25
 VOLLD26
 VOLLD27
 VOLLD28
 VOLLD29
 VOLLD30
 VOLLD31
 VOLLD32
 VOLLD33
 VOLLD34
 VOLLD35
 VOLLD36
 VOLLD37
 VOLLD38
 VOLLD39
 VOLLD40
 VOLLD41
 VOLLD42
 VOLLD43
 VOLLD44
 VOLLD45
 VOLLD46
 VOLLD47
 VOLLD48
 VOLLD49
 VOLLD50
#end object

#object LINK
  ANODE
  BNODE
  LINKID
  ALTNAM
  ASSIGN
  COST
  DIST
  SPEED1
  SPEED2
  TIME1
  TIME2
  USER
  DIRCOD
  LG1
  LG2
  LG3
  CAPAC1
  VOLUME
  TWFLAG
#end object

#object FDOTLINK
  CONCODE
  LANDUSE
  ZONE
  GEOLOC
  USECODE
#end object

; -- define the node object structure
#object NODE
  NODEID
  XCOORD
  YCOORD
#end object

; --- define the toll object structure
#object TOLL
  ANODE
  BNODE
  TCLASS
  TTYPE
  TOLLID
  TOLLANE
  MAXTLANE
  TOLLCOST
  SERVTIME
  DEC_CODE
  ACC_CODE
  EX_CHNGLN
  AVI_LANES
  PCTHVTRK
#end object

; --- define the turn object structure
#object TURN
  PFROM
  PTHRU
  PTO
  PENALTY
  NODEID
#end object

; --- define the turn volume object  structure
#object TRNVOL
 FROM_
 THRU_
 TO_
 VOL1
 VOL2
 VOL3
 VOL4
 VOL5
 VOL6
 VOL7
 VOL8
 VOL9
 VOL10
 VOL11
 VOL12
 VOL13
 VOL14
 VOL15
 VOL16
 VOL17
 VOL18
 VOL19
 VOL20
 VOL21
 VOL22
 VOL23
 VOL24
 VOL25
#end object

;--- define the route object structure
#object ROUTE
  PERIOD
  MODE
  LINE
  ONEWAY
  COMPANY
  HEADWAY
  NH
  MH
  SPEED
  LINEID
  NUMNODES
  RTPATH1
  RTPATH2
  RTPATH3
  RTPATH4
  RTPATH5
  REFMODE
  REFLINE
  REPGRP
#end object

;--- define the transit optional link object structure
#object TRLINK
  ANODE
  BNODE
  MODES
  ABDIST
  ABSPEED
  ABTIME
  ABFC
  TWOWAY
  BADIST
  BASPEED
  BATIME
  BAFC
  AREATYP
  FACTYP
#end object

;--- define the GIS to TRANPLAN link object structure
#object GIS2TP
  GISINDEX
  GISCLASS
  TP1ID
  TP1CLASS
  TP1FRACT
  TP2ID
  TP2CLASS
  TP2FRACT
  TP3ID
  TP3CLASS
  TP3FRACT
  TP4ID
  TP4CLASS
  TP4FRACT
  TP5ID
  TP5CLASS
  TP5FRACT
  TP6ID
  TP6CLASS
  TP6FRACT
  TP7ID
  TP7CLASS
  TP7FRACT
  TP8ID
  TP8CLASS
  TP8FRACT
  TP9ID
  TP9CLASS
  TP9FRACT
  TP10ID
  TP10CLASS
  TP10FRACT
#end object

;--- define the TRANPLAN to GIS link object structure
#object TP2GIS
  TPID
  TPCLASS
  TPDIST
  GIS1INDEX
  GIS1CLASS
  GIS1FRACT
  GIS2INDEX
  GIS2CLASS
  GIS2FRACT
  GIS3INDEX
  GIS3CLASS
  GIS3FRACT
  GIS4INDEX
  GIS4CLASS
  GIS4FRACT
  GIS5INDEX
  GIS5CLASS
  GIS5FRACT
  GIS6INDEX
  GIS6CLASS
  GIS6FRACT
  GIS7INDEX
  GIS7CLASS
  GIS7FRACT
  GIS8INDEX
  GIS8CLASS
  GIS8FRACT
  GIS9INDEX
  GIS9CLASS
  GIS9FRACT
  GIS10INDEX
  GIS10CLASS
  GIS10FRACT
  GIS11INDEX
  GIS11CLASS
  GIS11FRACT
  GIS12INDEX
  GIS12CLASS
  GIS12FRACT
  GIS13INDEX
  GIS13CLASS
  GIS13FRACT
  GIS14INDEX
  GIS14CLASS
  GIS14FRACT
  GIS15INDEX
  GIS15CLASS
  GIS15FRACT
  GIS16INDEX
  GIS16CLASS
  GIS16FRACT
  GIS17INDEX
  GIS17CLASS
  GIS17FRACT
  GIS18INDEX
  GIS18CLASS
  GIS18FRACT
  GIS19INDEX
  GIS19CLASS
  GIS19FRACT
  GIS20INDEX
  GIS20CLASS
  GIS20FRACT
#end object

;--- define the TRANPLAN TRANSIT LINK LOAD STRUCTURE (TP+ FORMAT)
#object TRLINKL
 A
 B
 MODE
 PLOT
 REV
 STOPA
 STOPB
 NAME
 SEQ
 OWNER
 AB_TIME
 AB_DIST
 AB_VOL
 AB_BRDA
 AB_XITA
 AB_BRDB
 AB_XITB
 BA_TIME
 BA_DIST
 BA_VOL
 BA_BRDA
 BA_XITA
 BA_BRDB
 BA_XITB
#end object

; define the Zone data structure
#object ZONAL
 ISECT
 IZONE
 DUS
 PCVTS
 PCVS
 POPS
 PCA11
 PCA12
 PCA13
 PCA21
 PCA22
 PCA23
 DUM
 PCVTM
 PCVM
 POPM
 DUH
 PCOH
 POPH
 INDEMP
 COMEMP
 SEREMP
 TOTEMP
 SCHENR
 TPM
 PRODATT
 TRIPS
 HBW
 HBSH
 HBSR
 HBO
 NHB
 SGVAR1
 SGVAR2
 SGVAR3
 SGVAR4
 SGVAR5
 DESCRP
#end object


; ----- index specifications
#key ROUTE       PERIOD,MODE,LINE,RTSEG
#key ALTID_ID    ALT_ID
#key LOAD_ID     LOAD_NAME
#key LINK        ANODE,BNODE
#key NODE        NODEID
#key TURN        FROM_,THRU_,TO_
#key TRNVOL      FROM_,THRU_,TO_
#key TOLL        TOLLID
#key LODPURP     PURP,ANODE,BNODE
#key LODIMP      ANODE,BNODE
#key DEPICT      ANODE,BNODE
#key ZONAL       IZONE
#key ACTIVE      ALT_ID
#end schema DBC
end schema DBC
